TAAS - Feature #42

Hotel
09/01/2022 05:56 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 09/14/2022
Priority: Normal Due date: 09/17/2022
Assignee: Athira KK % Done: 90%
Category: Estimated time: 32:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): 56.00 Code Reviewed By:

Module: Hotel

Description

Coding Hotel

History

#1 - 09/01/2022 05:56 PM - Anil KV

- Assignee set to Anand V Gopal

#2 - 09/02/2022 05:41 PM - Anand V Gopal
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#3 - 09/24/2022 03:49 PM - Anand V Gopal

- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

- Time Taken(HH) set to 56.00

#4 - 11/07/2022 05:53 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.IN ADDITIONAL INFO, CITY/STATE/COUNTRY TABS NOT WORKING PROPER

#5 - 11/25/2022 10:16 AM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#6 - 11/28/2022 03:37 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1. ADD PAGE NUMBER INFORMATION AT THE BOTTOM OF LIST
(TOTAL PAGE COUNT AND CURRENT PAGE NUMBER)

eg: page 1 of 100

#7 - 11/30/2022 01:12 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
#8 - 01/18/2023 11:40 AM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1. GUI BECOME CRASH IF THE ' STAR RATE' INPUT BOX EMPTY

#9 - 02/08/2023 09:43 AM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 02/08/2023 02:00 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.FIX DUPLICATION BUGS WHILE UPDATE
(EDIT MODE)

#11 - 03/17/2023 06:18 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#12 - 03/20/2023 04:33 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.fix bugs on grid

(Phn No -)

2.Set mandatory fields red & required

(Additional info , Room Type, Meals Plan, Room Views, Branch)

#13 - 03/20/2023 06:20 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#14 - 10/07/2023 05:15 PM - Junaid M

- Assignee changed from Anand V Gopal to Abhiram Venu

#15 - 10/16/2023 10:57 AM - Abhiram Venu
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

#16 - 10/16/2023 12:07 PM - Abhiram Venu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

Ready To Check

#17 - 10/27/2023 04:21 PM - Abhiram Venu
Ul changed

'Supplier Hotel Name' Added.

#18 - 12/05/2023 04:10 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50
- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.CHANGE TO ACTIVE TAB WHILE CHOOSING ANOTHER HOTEL FROM LIST
2.ERROR WHILE CHOOSING SEARCH TOOL BAR IN CITY
3.CORRECT THE WORKING OF SUPPLIER HOTEL NAME FIELD

#19 - 12/07/2023 04:18 PM - Anil KV

- Assignee changed from Abhiram Venu to Sibin Babu

#20 - 12/11/2023 10:20 AM - Sibin Babu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#21 - 01/23/2024 03:09 PM - Amal Siby
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

Gui Changes

* New Fields Group, Family, Category, type were added.
2) In Additional Info Tab Add "ERP Code" (Entrybox). Title= "Identifier Code from Other System"

Done

#22 - 01/24/2024 03:16 PM - Anil KV
- Assignee changed from Sibin Babu to Amal Siby

#23 - 02/14/2024 10:02 AM - Junaid M
- Assignee changed from Amal Siby to Vivekp V

#24 - 02/14/2024 01:28 PM - Junaid M
- Assignee changed from Vivekp V to Amal Siby

#25 - 02/26/2024 06:09 PM - Amal Siby

- Status changed from Reopen Bugs to New Changes

#26 - 02/29/2024 01:22 PM - Junaid M

- Assignee changed from Amal Siby to Aparna Mathew

#27 - 03/06/2024 09:42 AM - Junaid M
- Assignee changed from Aparna Mathew to Nithin Raj

#28 - 03/07/2024 04:24 PM - Nithin Raj
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#29 - 04/02/2024 04:12 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.BLOCKING UPDATION WHILE FOCUS OUT FROM SUPPLIER AUTO COMPLETION CODE FIELD ON SUPPLIER HOTEL NAME TAB

2,ADJUST SPACE BETWEEN WORDS IN SUPPLIER HOTEL TAB

#30 - 04/03/2024 10:53 AM - Anonymous
- Assignee changed from Nithin Raj to Vivekp V

#31 - 04/04/2024 06:48 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.BLOCKING UPDATION WHILE FOCUS OUT FROM SUPPLIER AUTO COMPLETION CODE FIELD ON SUPPLIER HOTEL NAME TAB
2,ADJUST SPACE BETWEEN WORDS IN SUPPLIER HOTEL TAB
supplier hotel name tab now working

#32 - 09/23/2024 06:22 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

Hotel code get auto completed in Supplier hotel name tab

#33 - 09/26/2024 03:56 PM - Anil KV
- Assignee changed from Vivekp V to Bertin Joseph

#34 - 09/26/2024 03:57 PM - Junaid M

- Assignee changed from Bertin Joseph to Meljo Sunny

#35 - 10/07/2024 09:53 AM - Anil KV

- Assignee changed from Meljo Sunny to Sreeranjini T

#36 - 10/09/2024 11:01 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#37 - 11/04/2024 03:21 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Blocking Updation While Creating A New Hotel In Ul
#38 - 11/05/2024 03:03 PM - Sreeranjini T

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#39 - 11/06/2024 09:58 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#40 - 01/14/2025 12:10 PM - Arathy PS
- Status changed from Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES DONE

=>In Hotel Master GUI

Add Hotel Chain before Group -- Selectbox --load from Hotel Chain GUI
#41 - 01/17/2025 03:38 PM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#42 - 01/23/2025 11:52 AM - Theja Ponon
- Status changed from New Changes Coding Done to New Changes Testing Done

- % Done changed from 70 to 90

#43 - 02/22/2025 11:20 AM - Theja Ponon
- Status changed from New Changes Testing Done to Reopen Bugs

- % Done changed from 90 to 50

Issue Fixed

1)Cant update a hotel

#44 - 02/24/2025 02:40 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#45 - 02/26/2025 10:58 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#46 - 03/21/2025 04:41 PM - Theja Ponon

- File clipboard-202503211641-ygyg8.png added

- Status changed from Reopen Bugs Testing Done to Reopen Bugs
- % Done changed from 90 to 50

Issue Found

1)Error message is not clearing(same error message showing in popup fore adding new supplier hotel name)

Please Enter Hotel.

Supplier* | SUPDO1 Supplier
Hotel* | AsD aaa
Counry Iy

#47 - 03/22/2025 09:39 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#48 - 03/29/2025 10:24 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Can't add data in supplier hotel name.
#49 - 04/03/2025 02:37 PM - Junaid M

- Assignee changed from Sreeranjini T to Athira KK

#50 - 04/03/2025 03:14 PM - Athira KK
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#51 - 04/07/2025 02:51 PM - Arathy PS
- File clipboard-202504071450-n8sxj.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Multiple entries are possible for a single supplier in supplier hotel name tab.(fixed)
2. Add an expand/collapse icon in the grid of supplier hotel name tab.(fixed)

Travyise 210 = | vou - [N < 5 /-] 0
AVEL SOLUTION PVT LTD
CodelName* | g0 101 Hotel Additional Info*  Room Type*  Meals Plan* Room Views Branch* = Supplier Hotel Name ) update
+ add Y Q 2 @
Hotel Chain o AL i
B print
~  Supplier: BSP
Group* ~ Type* v
HT001 = 1st one in grid &S W
StarRate 4 ERP Code”™
Remarks

Created By: - TAAS Admin(05/04/2025 06:21 PM)
Modified By: - Administrator(07/04/2025 02:41 PM)[3]

»
»
»

#52 - 04/08/2025 04:01 PM - Athira KK
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#53 - 04/09/2025 10:10 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files

1-CsModel.cs 3.01 KB 09/01/2022 Anil KV
2-tsModel.ts 1.59 KB 09/01/2022 Anil KV
3-CsFile.cs 14.4 KB 09/01/2022 Anil KV
4-CsControllerFile.cs 24.1 KB 09/01/2022 Anil KV
5-TsFile.ts 13.3 KB 09/01/2022 Anil KV
6-HtmlIFile.html 1.87 KB 09/01/2022 Anil KV
sql.sql 16.4 KB 09/01/2022 Anil KV
clipboard-202503211641-ygyg8.png 15.2 KB 03/21/2025 Theja Ponon
clipboard-202504071450-n8sxj.png 109 KB 04/07/2025 Arathy PS
